> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Redemption Instructions

> List all redemption instructions



## OpenAPI

````yaml /v2/openapi.yaml get /v2/issuance/redemption-instructions
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/issuance/redemption-instructions:
    get:
      tags:
        - Issuance
      summary: List Redemption Instructions
      description: List all redemption instructions
      operationId: bastion.api.v2.API.ListRedemptionInstructions
      parameters:
        - name: limit
          in: query
          description: >-
            (OPTIONAL) The maximum number of redemption instructions to return
            in a single page. The maximum value that can be specified is 25.
          required: false
          schema:
            type: integer
            title: limit
            maximum: 25
            minimum: 1
            format: int32
            default: '10'
        - name: cursor
          in: query
          description: >-
            (OPTIONAL) Pagination cursor to be used in subsequent queries to
            retrieve next page of results
          required: false
          schema:
            type: string
            title: cursor
        - name: identity_id
          in: query
          description: (OPTIONAL) Identity ID to filter by
          required: false
          schema:
            type: string
            title: identity_id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bastion.api.v2.issuance.ListRedemptionInstructionsResponse
        '400':
          description: Bad request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.issuance.ListRedemptionInstructionsResponse:
      type: object
      properties:
        redemption_instructions:
          type: array
          items:
            $ref: >-
              #/components/schemas/bastion.api.v2.issuance.RedemptionInstructions
          title: redemption_instructions
        cursor:
          type: string
          title: cursor
          description: Cursor for the next page of results, if available
          readOnly: true
      title: ListRedemptionInstructionsResponse
      additionalProperties: false
    bastion.api.v2.issuance.RedemptionInstructions:
      type: object
      properties:
        id:
          type: string
          title: id
          description: Unique identifier for the redemption instruction
          readOnly: true
        address:
          type: string
          title: address
          description: >-
            Generated redemption address. Stablecoins sent to this address will
            be redeemed.
          readOnly: true
        bank_account_id:
          type: string
          title: bank_account_id
          description: Bank account ID to which the redeemed funds should be sent
          readOnly: true
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the redemption instruction
          readOnly: true
        label:
          type: string
          title: label
          description: Label for the redemption instruction
          readOnly: true
        payment_rail:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD
          title: payment_rail
          description: >-
            Payment rail for the redemption instruction, currently only 'WIRE'
            is supported
          readOnly: true
        identity_id:
          type: string
          title: identity_id
          description: >-
            Unique identifier of the identity that this redemption instruction
            belongs to
          readOnly: true
        stablecoin_symbol:
          type: string
          title: stablecoin_symbol
          description: Symbol of the stablecoin associated with this redemption instruction
          readOnly: true
      title: RedemptionInstructions
      additionalProperties: false
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN:
      type: string
      title: ISSUANCE_SUPPORTED_CHAIN
      enum:
        - ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED
        - SOLANA_DEVNET
        - SOLANA_MAINNET
      example: SOLANA_DEVNET
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD:
      type: string
      title: ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD
      enum:
        - ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD_UNSPECIFIED
        - WIRE
      description: Payment method for the fiat transaction
      example: WIRE
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [List Redemptions](/v2/api-reference/issuance/list-redemptions.md)
- [Create Redemption Instructions](/v2/api-reference/issuance/create-redemption-instructions.md)
- [Stablecoin issuance concepts](/guides/concepts/stablecoin-issuance.md)
- [List Payment Instructions](/v2/api-reference/payment-instructions/list-payment-instructions.md)
- [List Mint Instructions](/v2/api-reference/issuance/list-mint-instructions.md)
